Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.mortbay.jetty.plus.webapp.AbstractConfiguration
              org.mortbay.jetty.plus.webapp.Configuration
                  org.gradle.api.plugins.jetty.JettyConfiguration

    class JettyConfiguration
    extends org.mortbay.jetty.plus.webapp.Configuration

Constructor Summary
`JettyConfiguration()`

Method Summary
`void` | `configureClassLoader()` Set up the classloader for the webapp, using the various parts of the Maven project
`protected URL` | `findWebXml()`
`void` | `parseAnnotations()`
`void` | `setClassPathConfiguration(List classPathFiles)`
`void` | `setWebXml(File webXmlFile)`

Methods inherited from class org.mortbay.jetty.plus.webapp.Configuration
configureClassLoader, deconfigureWebApp, configureDefaults, configureWebApp, bindEnvEntry, bindResourceRef, bindResourceEnvRef, bindMessageDestinationRef, bindUserTransaction, parseAnnotations, configure, setWebAppContext, getWebAppContext, webXmlParser, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
configure, setWebAppContext, deconfigureWebApp, configureDefaults, configureWebApp, bindEnvEntry, bindResourceRef, bindResourceEnvRef, bindMessageDestinationRef, bindUserTransaction, configureClassLoader, getWebAppContext, webXmlParser, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
configure, setWebAppContext, configureClassLoader, deconfigureWebApp, configureDefaults, configureWebApp, getWebAppContext, webXmlParser, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### JettyConfiguration

    public JettyConfiguration()

Method Detail

### configureClassLoader

    public void configureClassLoader()

  Set up the classloader for the webapp, using the various parts of the Maven project
  see:
    org.mortbay.jetty.webapp.Configuration#configureClassLoader()

### findWebXml

    protected URL findWebXml()

### parseAnnotations

    public void parseAnnotations()

### setClassPathConfiguration

    public void setClassPathConfiguration(List classPathFiles)

### setWebXml

    public void setWebXml(File webXmlFile)

Groovy Documentation